Announcing Scala.js 1.0.0-M2


#1

We are very excited to announce the release of Scala.js 1.0.0-M2!

This development release is mostly intended for testing purposes, and as a synchronization point with library authors so that they can start upgrading in preparation for the final release.

As the change in “major” version number witnesses, this release is not binary compatible with 0.6.x, nor with 1.0.0-M1. Libraries need to be recompiled and republished using this milestone to be compatible.

Moreover, this release is not entirely source compatible with 0.6.x either. We expect, however, that further milestones for 1.0.0 will stay backward source compatible with this milestone.

Attention: We would like to bring your attention to the fact that Scala.js 1.0.0-M2 is the last release that will support:

  • sbt 0.13
  • building on JDK 6 and JDK 7
  • Scala 2.10

Starting with Scala.js 1.0.0-M3, the support for those will be dropped, as those technologies are obsolete and going forward, would put an undue maintenance burden on our shoulders.

More details in the announcement on the Web:

Enjoy!
The Scala.js team